Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Standard Ed. 5.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.sql
Interface XADataSource

    public interface XADataSource

A factory for `XAConnection` objects that is used internally. An object that implements the `XADataSource` interface is typically registered with a naming service that uses the Java Naming and Directory InterfaceTM (JNDI).

Since:
  1.4

Method Summary
`int` | `getLoginTimeout()` Retrieves the maximum time in seconds that this data source can wait while attempting to connect to a data source.
`PrintWriter` | `getLogWriter()` Retrieves the log writer for this `XADataSource` object.
`XAConnection` | `getXAConnection()` Attempts to establish a physical database connection that can be used in a distributed transaction.
`XAConnection` | `getXAConnection(String user, String password)` Attempts to establish a physical database connection, using the given user name and password.
`void` | `setLoginTimeout(int seconds)` Sets the maximum time in seconds that this data source will wait while attempting to connect to a data source.
`void` | `setLogWriter(PrintWriter out)` Sets the log writer for this `XADataSource` object to the given `java.io.PrintWriter` object.

Method Detail

### getXAConnection

    XAConnection getXAConnection()
                                 throws SQLException

  Attempts to establish a physical database connection that can be used in a distributed transaction.

  Returns:
    an `XAConnection` object, which represents a physical connection to a data source, that can be used in a distributed transaction
  Throws:
    `SQLException` - if a database access error occurs

### getXAConnection

    XAConnection getXAConnection(String user,
                                 String password)
                                 throws SQLException

  Attempts to establish a physical database connection, using the given user name and password. The connection that is returned is one that can be used in a distributed transaction.

  Parameters:
    `user` - the database user on whose behalf the connection is being made
    `password` - the user's password
  Returns:
    an `XAConnection` object, which represents a physical connection to a data source, that can be used in a distributed transaction
  Throws:
    `SQLException` - if a database access error occurs

### getLogWriter

    PrintWriter getLogWriter()
                             throws SQLException

  Retrieves the log writer for this `XADataSource` object.

  Returns:
    the log writer for this data source; `null` if no log writer has been set, which means that logging is disabled
  Throws:
    `SQLException` - if a database access error occurs
  See Also:
    `setLogWriter(java.io.PrintWriter)`

### setLogWriter

    void setLogWriter(PrintWriter out)
                      throws SQLException

  Sets the log writer for this `XADataSource` object to the given `java.io.PrintWriter` object.

  The log writer is a character output stream to which all logging and tracing messages for this `XADataSource` object will be printed. This includes messages printed by the methods of this object, messages printed by methods of other objects manufactured by this object, and so on. Messages printed to a log writer that is specific to a data source are not printed to the log writer associated with the `java.sql.DriverManager` class. When a data source object is created, the log writer is initially `null`.

  Parameters:
    `out` - the new log writer; to disable logging, set to `null`
  Throws:
    `SQLException` - if a database access error occurs
  See Also:
    `getLogWriter()`

### setLoginTimeout

    void setLoginTimeout(int seconds)
                         throws SQLException

  Sets the maximum time in seconds that this data source will wait while attempting to connect to a data source. A value of zero specifies that the timeout is the default system timeout if there is one; otherwise, it specifies that there is no timeout. When a data source object is created, the login timeout is initially zero.

  Parameters:
    `seconds` - the data source login time limit
  Throws:
    `SQLException` - if a database access error occurs
  See Also:
    `getLoginTimeout()`

### getLoginTimeout

    int getLoginTimeout()
                        throws SQLException

  Retrieves the maximum time in seconds that this data source can wait while attempting to connect to a data source. A value of zero means that the timeout is the default system timeout if there is one; otherwise, it means that there is no timeout. When a data source object is created, the login timeout is initially zero.

  Returns:
    the number of seconds that is the login time limit for this `XADataSource` object or zero if there is no no timeout limit or the timeout limit is the default system timeout limit if there is one
  Throws:
    `SQLException` - if a database access error occurs
  See Also:
    `setLoginTimeout(int)`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Standard Ed. 5.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Copyright 2004 Sun Microsystems, Inc. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.